
##  FAQ 
En cours d'élaboration et en vrac...


###  Utilisation de ScoDoc 
####  Comment prendre en compte les notes de sport ou autres bonus ? 
Voir [CalculNotes](CalculNotes.md)


####  Qui peut voir les notes, et quand ? 
Tous les collègues (enseignants et administratifs) pouvant accéder au département peuvent voir les notes, en passant par la page du module concerné.

Les notes n'apparaissent dans les bulletins et tableaux récapitulatifs que lorsqu'elles
sont prises en compte dans les moyennes: soit parce que toutes les notes des étudiants inscrits à cette évaluation sont saisies, soit parce qu'il s'agit d'une évaluation avec "prise en compte immédiate".

Les **étudiants n'ont pas accès à ScoDoc**, et ne peuvent donc pas voir leurs notes, sauf si une interface spécifique est configurée ("portail", avec affichage sur leur ENT en général, cet affichage pouvant être désactivé depuis ScoDoc pour un semestre particulier). A défaut, il faut leur envoyer leurs bulletins par mail.


####  Comment supprimer une évaluation ? 
1. Supprimer toutes les notes saisies dans cette évaluation, s'il y en a:
passer par la page "Saisie des notes" et suivre le lien "Effacer toutes les notes de cette évaluation".

2. Lorsqu'il n'y a plus de notes, une croix rouge apparait sur le tableau de bord du module: cliquer dessus pour supprimer l'évaluation.


####  En IUT, comment gérer les licences professionnelles ? 
 * On peut créer un département regroupant les licences, ou bien rattacher chaque licence à un département existant. Cette dernière solution est préférable si des étudiants de DUT poursuivent en licence (ainsi, on a automatiquement accès à leur parcours complet).

 * La plupart des licences pro durent un an, mais sont gérées comme un seul semestre (pas de jury à mi-parcours). Indiquer "*pas de semestre*" dans l'option "*Semestre dans la formation*" (page "*modification du semestre*").


###  Configuration 
####  Comment changer les logos sur les documents PDF (PV...) 
Ce n'est malheureusement pas encore simple.
Il faut (pour l'instant) être administrateur sur le serveur ScoDoc.
Les logos sont stockés dans le répertoire `/opt/scodoc/var/scodoc/config/logos/` (anciennement dans `/opt/scodoc/Products/ScoDoc`) et doivent être des images JPEG (extension `.jpg`).
Il faut aussi indiquer les tailles des images dans le fichier de configuration `config/scodoc_config.py`, variable `CONFIG.LOGO_FOOTER_HEIGHT` etc.

 * Sur les PV, `logo_header.jpg` est affiché en haut, et `logo_header.jpg` en bas de la page.
 * Sur les bulletins de notes, c'est configurable (et on peut utiliser d'autres logos), voir [ParametrageBulletins](ParametrageBulletins.md)


####  Administration 

####  Quel système d'exploitation ? 
ScoDoc est accessible depuis n'importe quel navigateur Web (Firefox, Chrome, ...). 

Le serveur ScoDoc fonctionne sous linux. Il n'est testé qu'avec Debian (stable). Le script d'installation ( [GuideInstallDebianDix](GuideInstallDebianDix.md) ) assure l'installation de tout les éléments nécessaires au bon fonctionnement de ScoDoc. Une distribution sous forme de container Docker est prévue prochainement.



####  Quand et comment mettre à jour le logiciel ? 
Des améliorations et corrections sont fréquemment introduites. Les plus importantes sont annoncées sur la liste de diffusion "[scodoc-annonces](https://listes.univ-paris13.fr/mailman/listinfo/scodoc-annonces)". Appliquer les mises à jour assez souvent, en suivant les instructions données sur [MisesAJour](MisesAJour.md).



####  Quelles sauvegardes des données ? 
Voir [SauvegardesBases](SauvegardesBases.md).


####  Où sont les journaux (logs) ? 
En cas de problème (bug, erreur de manipulation, suspicion de piratage), différents journaux peuvent être consultés.

 * Le journal du serveur Web Apache 
```
/var/log/apache2/scodoc_access.log
```


 * les opérations effectuées sur un étudiant sont accessibles via le menu "Etudiant" / "Voir le journal..." en haut de la fiche individuelle de l'étudiant.

 * le fichier `/opt/scodoc/log/notes.log` reçoit des messages de déboggage de ScoDoc. (c'est là que sont écrits les messages envoyés par la fonction `log()` dans le code de ScoDoc).

 * le fichier `/opt/scodoc/log/events.log` reçoit des messages de déboggage du serveur Zope (démarrages/arrêts, erreurs d'authentification, bugs liés à des problèmes d'installation, etc.)


####  Je n'ai pas de certificat SSL ! 
Il est de plus en plus important d'installer un certificat SSL; les navigateurs Web sont de plus en plus méfiants et vos utilisateurs seront très gênés si votre ScoDoc n'a pas de certificat valide.
Si votre établissement (par exemple via RENATER) ne vous fournit pas de de certificat, je conseille de passer par <a href="https://letsencrypt.org/fr/">Let's Encrypt</a> dont l'utilisation est très simple et rapide.

Pour vos tests en local, avec Chrome, modifier le paramétrage en réglant: `chrome://flags/#allow-insecure-localhost`.



####  Comment supprimer un département ? 
La suppression d'un département efface toutes les données: étudiants, notes, etc. Se connecter sur ScoDoc (Web) comme administrateur, suivre le lien `Administration de scodoc` sur la page d'accueil, et supprimer le département. Cette opération retire le département de l'application Web, mais ne supprime pas la base de données du serveur. Pour cela, se connecter (en ssh) en tant que `root` sur le serveur, aller dans le répertoire `/opt/scodoc/Products/ScoDoc/config` et lancer le script  `./delete_dept.sh`.



